Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161209 - xined status always returns 0
Summary: xined status always returns 0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xinetd
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Safranek
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 13:29 UTC by paul
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: xinetd-2.3.14-9.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 06:45:53 UTC


Attachments (Terms of Use)

Description paul 2005-06-21 13:29:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1)

Description of problem:
When you run /etc/init.d/xinetd status, the script always returns '0' regardless of whether it is running.

This can be fixed by setting RETVAL=$? in the 'status' part of the case statement

Version-Release number of selected component (if applicable):
xinetd-2.3.13-4

How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/xinetd start
2./etc/init.d/xinetd status
3.echo $?
#> 0
4./etc/init.d/xinetd stop
5./etc/init.d/xinetd status
6.echo $?
#> 0  

Actual Results:  Always returns 0

Expected Results:  non-zero

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:29:09 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Jan Safranek 2007-05-22 06:45:53 UTC
This bug has been fixed in xinetd-2.3.14-9.fc6


Note You need to log in before you can comment on or make changes to this bug.